Debian Bug report logs - #203835
[PR 11793] [3.3.1/3.4 regression] ICE in extract_insn, at recog.c:2175

version graph

Package: gcc-3.3; Maintainer for gcc-3.3 is Philipp Kern <pkern@debian.org>;

Reported by: "James A. Treacy" <treacy@debian.org>

Date: Sat, 2 Aug 2003 01:33:03 UTC

Severity: important

Tags: fixed-upstream, upstream

Merged with 205899

Found in versions 1:3.3.1-0rc2, 1:3.3.2-0pre4, 1:3.3.2-0pre1

Fixed in version gcc-3.3/1:3.3.3ds3-0pre3

Done: Matthias Klose <doko@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://gcc.gnu.org/PR11793

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>:
Bug#203835; Package gcc-3.3. Full text and rfc822 format available.

Acknowledgement sent to "James A. Treacy" <treacy@debian.org>:
New Bug report received and forwarded. Copy sent to Debian GCC maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "James A. Treacy" <treacy@debian.org>
To: submit@bugs.debian.org
Subject: [powerpc] gcc: ice on due to unrecognizable insn when -O specified
Date: Fri, 1 Aug 2003 21:25:22 -0400
[Message part 1 (text/plain, inline)]
Package: gcc-3.3
Version: 1:3.3.1-0rc2
Priority: serious

Compiling fftw3 3.0.1 on powerpc fails since gcc updated to version -0rc2
(essentially the same package of fftw3 compiled using -0rc1).

To make the bug easier to reproduce, I created a .i file of the
offending file. Compiling with optimization (the file compiles when
optimization is turned off) results in:

treacy@voltaire:~/fftw3-3.0.1/dft/simd/codelets$ gcc -O -maltivec -mabi=altivec -c n1fv_9.i
n1fv_9.c: In function `n1fv_9':
n1fv_9.c:128: error: unrecognizable insn:
(insn 2983 1654 1655 2 (nil) (set (reg:V4SF 77 v0)
        (const_vector:V4SF [
                (const_double:SF 9.3969261646270751953125e-1 [0x0.f08fb2p+0])
                (const_double:SF 9.3969261646270751953125e-1 [0x0.f08fb2p+0])
                (const_double:SF 9.3969261646270751953125e-1 [0x0.f08fb2p+0])
                (const_double:SF 9.3969261646270751953125e-1 [0x0.f08fb2p+0])
            ])) -1 (nil)
    (nil))
n1fv_9.c:128: internal compiler error: in extract_insn, at recog.c:2175

The file n1fv_9.i is attached.

-- 
James (Jay) Treacy
treacy@debian.org
[n1fv_9.i (text/plain, attachment)]

Noted your statement that Bug has been forwarded to http://gcc.gnu.org/PR11793. Request was from Matthias Klose <doko@net.local> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Matthias Klose <doko@net.local> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: upstream Request was from Matthias Klose <doko@net.local> to control@bugs.debian.org. Full text and rfc822 format available.

Information stored:
Bug#203835; Package gcc-3.3. Full text and rfc822 format available.

Acknowledgement sent to doko@debian.org:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #16 received at 203835-quiet@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@net.local>
To: control@bugs.debian.org
Cc: 203835-quiet@bugs.debian.org
Subject: gcc: submitted Debian report #203835 to gcc-gnats as PR 11793
Date: Mon, 04 Aug 2003 19:58:24 +0200
# submitted Debian report #203835 to gcc-gnats as PR 11793
# http://gcc.gnu.org/PR11793

forwarded 203835 http://gcc.gnu.org/PR11793
retitle 203835 [PR 11793] [3.3.1/3.4 regression] ICE in extract_insn, at recog.c:2175
tags 203835 + upstream
thanks



Severity set to `important'. Request was from Matthias Klose <doko@cs.tu-berlin.de> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 203835 205899. Request was from Matthias Klose <doko@cs.tu-berlin.de> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>:
Bug#203835; Package gcc-3.3. Full text and rfc822 format available.

Acknowledgement sent to Benjamin Herrenschmidt <benh@kernel.crashing.org>:
Extra info received and forwarded to list. Copy sent to Debian GCC maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #25 received at 203835@bugs.debian.org (full text, mbox):

From: Benjamin Herrenschmidt <benh@kernel.crashing.org>
To: Debian Bug Tracking System <203835@bugs.debian.org>
Subject: gcc-3.3: Fix in TOT
Date: Mon, 29 Sep 2003 16:20:56 +0200
Package: gcc-3.3
Version: 1:3.3.2-0pre4
Severity: normal
Followup-For: Bug #203835


According to my favourite gcc guru, fix is in TOT and can be found
at :

http://gcc.gnu.org/ml/gcc-patches/2003-06/msg02445.html

-- System Information:
Debian Release: testing/unstable
Architecture: powerpc
Kernel: Linux gaston 2.6.0-test5 #3 Fri Sep 26 13:56:44 CEST 2003 ppc
Locale: LANG=C, LC_CTYPE=C

Versions of packages gcc-3.3 depends on:
ii  binutils                   2.14.90.0.6-3 The GNU assembler, linker and bina
ii  cpp-3.3                    1:3.3.2-0pre4 The GNU C preprocessor
ii  gcc-3.3-base               1:3.3.2-0pre4 The GNU Compiler Collection (base 
ii  libc6                      2.3.2-8       GNU C Library: Shared libraries an
ii  libgcc1                    1:3.3.2-0pre4 GCC support library

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>:
Bug#203835; Package gcc-3.3. Full text and rfc822 format available.

Acknowledgement sent to Ryan Murray <rmurray@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GCC maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #30 received at 203835@bugs.debian.org (full text, mbox):

From: Ryan Murray <rmurray@debian.org>
To: 203835@bugs.debian.org
Cc: control@bugs.debian.org
Subject: patch
Date: Sun, 12 Oct 2003 09:55:58 -0700
tag 203835 + patch
thanks

There is a patch for 3.3 that looks to have been ignored on the mailing list
at: http://gcc.gnu.org/ml/gcc-patches/2003-08/msg01356.html



Tags added: patch Request was from Ryan Murray <rmurray@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: fixed-upstream Request was from Matthias Klose <doko@cs.tu-berlin.de> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: patch Request was from Matthias Klose <doko@cs.tu-berlin.de> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Matthias Klose <doko@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "James A. Treacy" <treacy@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #41 received at 203835-close@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 203835-close@bugs.debian.org
Subject: Bug#203835: fixed in gcc-3.3 1:3.3.3ds3-0pre3
Date: Mon, 26 Jan 2004 01:33:04 -0500
Source: gcc-3.3
Source-Version: 1:3.3.3ds3-0pre3

We believe that the bug you reported is fixed in the latest version of
gcc-3.3, which is due to be installed in the Debian FTP archive:

cpp-3.3-doc_3.3.3-0pre3_all.deb
  to pool/main/g/gcc-3.3/cpp-3.3-doc_3.3.3-0pre3_all.deb
cpp-3.3_3.3.3-0pre3_i386.deb
  to pool/main/g/gcc-3.3/cpp-3.3_3.3.3-0pre3_i386.deb
fastjar_3.3.3-0pre3_i386.deb
  to pool/main/g/gcc-3.3/fastjar_3.3.3-0pre3_i386.deb
fixincludes_3.3.3-0pre3_i386.deb
  to pool/main/g/gcc-3.3/fixincludes_3.3.3-0pre3_i386.deb
g++-3.3_3.3.3-0pre3_i386.deb
  to pool/main/g/gcc-3.3/g++-3.3_3.3.3-0pre3_i386.deb
g77-3.3-doc_3.3.3-0pre3_all.deb
  to pool/main/g/gcc-3.3/g77-3.3-doc_3.3.3-0pre3_all.deb
g77-3.3_3.3.3-0pre3_i386.deb
  to pool/main/g/gcc-3.3/g77-3.3_3.3.3-0pre3_i386.deb
gcc-3.3-base_3.3.3-0pre3_i386.deb
  to pool/main/g/gcc-3.3/gcc-3.3-base_3.3.3-0pre3_i386.deb
gcc-3.3-doc_3.3.3-0pre3_all.deb
  to pool/main/g/gcc-3.3/gcc-3.3-doc_3.3.3-0pre3_all.deb
gcc-3.3_3.3.3-0pre3_i386.deb
  to pool/main/g/gcc-3.3/gcc-3.3_3.3.3-0pre3_i386.deb
gcc-3.3_3.3.3ds3-0pre3.diff.gz
  to pool/main/g/gcc-3.3/gcc-3.3_3.3.3ds3-0pre3.diff.gz
gcc-3.3_3.3.3ds3-0pre3.dsc
  to pool/main/g/gcc-3.3/gcc-3.3_3.3.3ds3-0pre3.dsc
gcc-3.3_3.3.3ds3.orig.tar.gz
  to pool/main/g/gcc-3.3/gcc-3.3_3.3.3ds3.orig.tar.gz
gcj-3.3_3.3.3-0pre3_i386.deb
  to pool/main/g/gcc-3.3/gcj-3.3_3.3.3-0pre3_i386.deb
gij-3.3_3.3.3-0pre3_i386.deb
  to pool/main/g/gcc-3.3/gij-3.3_3.3.3-0pre3_i386.deb
gnat-3.3-doc_3.3.3-0pre3_all.deb
  to pool/main/g/gcc-3.3/gnat-3.3-doc_3.3.3-0pre3_all.deb
gnat-3.3_3.3.3-0pre3_i386.deb
  to pool/main/g/gcc-3.3/gnat-3.3_3.3.3-0pre3_i386.deb
gobjc-3.3_3.3.3-0pre3_i386.deb
  to pool/main/g/gcc-3.3/gobjc-3.3_3.3.3-0pre3_i386.deb
gpc-2.1-3.3-doc_3.3.3.20030830-0pre3_all.deb
  to pool/main/g/gcc-3.3/gpc-2.1-3.3-doc_3.3.3.20030830-0pre3_all.deb
gpc-2.1-3.3_3.3.3.20030830-0pre3_i386.deb
  to pool/main/g/gcc-3.3/gpc-2.1-3.3_3.3.3.20030830-0pre3_i386.deb
libffi2-dev_3.3.3-0pre3_i386.deb
  to pool/main/g/gcc-3.3/libffi2-dev_3.3.3-0pre3_i386.deb
libffi2_3.3.3-0pre3_i386.deb
  to pool/main/g/gcc-3.3/libffi2_3.3.3-0pre3_i386.deb
libg2c0_3.3.3-0pre3_i386.deb
  to pool/main/g/gcc-3.3/libg2c0_3.3.3-0pre3_i386.deb
libgcc1_3.3.3-0pre3_i386.deb
  to pool/main/g/gcc-3.3/libgcc1_3.3.3-0pre3_i386.deb
libgcj-common_3.3.3-0pre3_all.deb
  to pool/main/g/gcc-3.3/libgcj-common_3.3.3-0pre3_all.deb
libgcj4-dev_3.3.3-0pre3_i386.deb
  to pool/main/g/gcc-3.3/libgcj4-dev_3.3.3-0pre3_i386.deb
libgcj4_3.3.3-0pre3_i386.deb
  to pool/main/g/gcc-3.3/libgcj4_3.3.3-0pre3_i386.deb
libobjc1_3.3.3-0pre3_i386.deb
  to pool/main/g/gcc-3.3/libobjc1_3.3.3-0pre3_i386.deb
libstdc++5-3.3-dbg_3.3.3-0pre3_i386.deb
  to pool/main/g/gcc-3.3/libstdc++5-3.3-dbg_3.3.3-0pre3_i386.deb
libstdc++5-3.3-dev_3.3.3-0pre3_i386.deb
  to pool/main/g/gcc-3.3/libstdc++5-3.3-dev_3.3.3-0pre3_i386.deb
libstdc++5-3.3-doc_3.3.3-0pre3_all.deb
  to pool/main/g/gcc-3.3/libstdc++5-3.3-doc_3.3.3-0pre3_all.deb
libstdc++5-3.3-pic_3.3.3-0pre3_i386.deb
  to pool/main/g/gcc-3.3/libstdc++5-3.3-pic_3.3.3-0pre3_i386.deb
libstdc++5_3.3.3-0pre3_i386.deb
  to pool/main/g/gcc-3.3/libstdc++5_3.3.3-0pre3_i386.deb
protoize_3.3.3-0pre3_i386.deb
  to pool/main/g/gcc-3.3/protoize_3.3.3-0pre3_i386.deb
treelang-3.3_3.3.3-0pre3_i386.deb
  to pool/main/g/gcc-3.3/treelang-3.3_3.3.3-0pre3_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 203835@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matthias Klose <doko@debian.org> (supplier of updated gcc-3.3 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 25 Jan 2004 17:41:04 +0100
Source: gcc-3.3
Binary: gcc-3.3-nof gcc-3.3 libobjc1 libgcc1 lib64g2c0 libstdc++5-3.3-doc libgcj4 gpc-2.1-3.3-doc libstdc++5 cpp-3.3-doc protoize gcc-3.3-hppa64 cpp-3.3 libstdc++5-3.3-dbg g77-3.3-doc gpc-2.1-3.3 g77-3.3 libgcj4-dev gcc-3.3-doc lib64objc1 lib64ffi2 libstdc++5-3.3-dev libgnatGNAT libffi2-dev gcj-3.3 libgcj-common gobjc-3.3 lib64stdc++5 gcc-3.3-soft-float lib64gcj4 treelang-3.3 libg2c0-dev lib64gcc1 fastjar fixincludes libg2c0 gij-3.3 libstdc++5-3.3-pic gcc-3.3-base g++-3.3 gnat-3.3 libffi2 gnat-3.3-doc lib64gnatGNAT
Architecture: source i386 all
Version: 1:3.3.3ds3-0pre3
Distribution: unstable
Urgency: low
Maintainer: Debian GCC maintainers <debian-gcc@lists.debian.org>
Changed-By: Matthias Klose <doko@debian.org>
Description: 
 cpp-3.3    - The GNU C preprocessor
 cpp-3.3-doc - Documentation for the GNU C preprocessor (cpp)
 fastjar    - Jar creation utility
 fixincludes - Fix non-ANSI header files
 g++-3.3    - The GNU C++ compiler
 g77-3.3    - The GNU Fortran 77 compiler
 g77-3.3-doc - Documentation for the GNU Fortran compiler (g77)
 gcc-3.3    - The GNU C compiler
 gcc-3.3-base - The GNU Compiler Collection (base package)
 gcc-3.3-doc - Documentation for the GNU compilers (gcc, gobjc, g++)
 gcj-3.3    - The GNU compiler for Java(TM)
 gij-3.3    - The GNU Java bytecode interpreter
 gnat-3.3   - The GNU Ada compiler
 gnat-3.3-doc - Documentation for the GNU Ada compiler (gnat)
 gobjc-3.3  - The GNU Objective-C compiler
 gpc-2.1-3.3 - The GNU Pascal compiler
 gpc-2.1-3.3-doc - Documentation for the GNU Pascal compiler (gpc)
 libffi2    - Foreign Function Interface library runtime
 libffi2-dev - Foreign Function Interface library (development files)
 libg2c0    - Runtime library for GNU Fortran 77 applications
 libgcc1    - GCC support library
 libgcj-common - Java runtime library (common files)
 libgcj4    - Java runtime library for use with gcj
 libgcj4-dev - Java development headers and static library for use with gcj
 libobjc1   - Runtime library for GNU Objective-C applications
 libstdc++5 - The GNU Standard C++ Library v3
 libstdc++5-3.3-dbg - The GNU Standard C++ Library v3 (debugging files)
 libstdc++5-3.3-dev - The GNU Standard C++ Library v3 (development files)
 libstdc++5-3.3-doc - The GNU Standard C++ Library v3 (documentation files)
 libstdc++5-3.3-pic - The GNU Standard C++ Library v3 (shared library subset kit)
 protoize   - Create/remove ANSI prototypes from C code
 treelang-3.3 - The GNU Treelang compiler
Closes: 195911 203835 212912 225438
Changes: 
 gcc-3.3 (1:3.3.3ds3-0pre3) unstable; urgency=low
 .
   * Update to gcc-3.3.3 CVS 20040125.
     - Fixed PR11350, undefined labels with -Os -fPIC (closes: #195911).
     - Fixed PR11793, ICE in extract_insn, at recog.c (closes: #203835).
     - Fixed PR13544, removed backport for PR12862.
     - Integrated backport for PR12441.
   * Fixed since 3.3: java: not implemented interface methods of abstract
     classes not found (closes: #225438).
   * Disable pascal on arm architecture (currently broken).
   * Update the build files to build a cross compiler (Nikita V. Youshchenko).
     See debian/README.cross in the source package.
   * Apply revised patch to make -mieee the default on alpha-linux,
     and add -mieee-disable switch to turn the default off (closes: #212912).
     (Tyson Whitehead)
Files: 
 5a6d5efd27f7312a7765d11051315509 2388 devel standard gcc-3.3_3.3.3ds3-0pre3.dsc
 04cfa8adeb1986e9c2fecb246c36068a 23952034 devel standard gcc-3.3_3.3.3ds3.orig.tar.gz
 67e4f8e4a184ed8c811e78b82ef3e9c6 2265647 devel standard gcc-3.3_3.3.3ds3-0pre3.diff.gz
 b0308b4cf25b2454690e41ba63444e5d 82930 doc optional cpp-3.3-doc_3.3.3-0pre3_all.deb
 bc55fc5f1bc52c6f5dff19d896ce936a 1170 libs optional libgcj-common_3.3.3-0pre3_all.deb
 cd58390385e71e5d2300a5dadad055db 3149134 doc optional libstdc++5-3.3-doc_3.3.3-0pre3_all.deb
 a5f4fa92444783709f41d6b6c8034b3c 268998 doc optional g77-3.3-doc_3.3.3-0pre3_all.deb
 a5978c00b7eecc05bf910401d7a19acb 328516 doc optional gnat-3.3-doc_3.3.3-0pre3_all.deb
 cf9e7144ae76d35aa2c2177d313000a2 795098 doc optional gpc-2.1-3.3-doc_3.3.3.20030830-0pre3_all.deb
 86ba4857c51f551b4886af40290961e1 598486 doc optional gcc-3.3-doc_3.3.3-0pre3_all.deb
 7040e4240b780497123641c46acb5556 143660 devel required gcc-3.3-base_3.3.3-0pre3_i386.deb
 95d3c7234684c26265d7d2dbba72e343 73276 libs required libgcc1_3.3.3-0pre3_i386.deb
 ced7a0e6b667c1def02d8b32ff8f6480 1389416 interpreters standard cpp-3.3_3.3.3-0pre3_i386.deb
 848a7c906376983b6bc69d3312150418 23256 devel optional protoize_3.3.3-0pre3_i386.deb
 eafe2e47bcc633654d5cecc46cdbe689 73116 devel optional fixincludes_3.3.3-0pre3_i386.deb
 96dcfb7e4906035c6be53cb0fb6a46bf 1465266 devel optional gobjc-3.3_3.3.3-0pre3_i386.deb
 00c40f9b0c75c2c6c445e7b3d62cd7b8 132808 libs optional libobjc1_3.3.3-0pre3_i386.deb
 0ef0b1b0be3e39f77291d69887c55187 13066 devel optional gij-3.3_3.3.3-0pre3_i386.deb
 c0fea550c528673c9f396f5ebbf47558 3979030 libs optional libgcj4_3.3.3-0pre3_i386.deb
 b7bf2f3b7030c1ca598415e1b2ae24a8 1692726 devel optional gcj-3.3_3.3.3-0pre3_i386.deb
 2907c7b4d5a4a9ac9c09311841234996 4748612 libdevel optional libgcj4-dev_3.3.3-0pre3_i386.deb
 feb7824fbc26de6878fb9b98b75ae38c 109220 devel extra fastjar_3.3.3-0pre3_i386.deb
 03f3c4a7354fe4d1346683c91b8d1b0f 68616 libs optional libffi2_3.3.3-0pre3_i386.deb
 307ec130749fe7584a8778c91a829bac 11032 libdevel optional libffi2-dev_3.3.3-0pre3_i386.deb
 1c579e20a9463fc773726001d0e8e693 1770842 devel standard g++-3.3_3.3.3-0pre3_i386.deb
 cd660d9aec988a26c76b459b8c0972c9 285342 base required libstdc++5_3.3.3-0pre3_i386.deb
 de5ee1c9033e7ce64a9a2e0bb8e69522 769884 libdevel standard libstdc++5-3.3-dev_3.3.3-0pre3_i386.deb
 74ca57aaf92aeb752ef6b2f2107ae8b2 322416 libdevel extra libstdc++5-3.3-pic_3.3.3-0pre3_i386.deb
 641ab6a31de15618e9301af7e2c79150 5052186 libdevel extra libstdc++5-3.3-dbg_3.3.3-0pre3_i386.deb
 357b34cde49e951329b3ce4e877cbc86 50268 libs optional libg2c0_3.3.3-0pre3_i386.deb
 3f9fae184302f022cf3f597a5b43734b 1613142 devel optional g77-3.3_3.3.3-0pre3_i386.deb
 5f2c3255c6861aef348f45386c46ded6 6273082 devel optional gnat-3.3_3.3.3-0pre3_i386.deb
 acdbf36c9ea2d62737f76e45325e8dc0 1287422 devel optional treelang-3.3_3.3.3-0pre3_i386.deb
 ee421e83ae63cc6c32fd813563290e9a 1929156 devel optional gpc-2.1-3.3_3.3.3.20030830-0pre3_i386.deb
 33c138ae882dba9606fc93a4641128ef 1372552 devel standard gcc-3.3_3.3.3-0pre3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFAFAnlStlRaw+TLJwRAllFAJ9Oji6a4ZwdagUIln/9BrJs0I3ICQCgvzFH
dVWmvpM18H7MCFrsIFUKa54=
=etve
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 07:43:22 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.